package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleDatas;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDatasSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleDatas] 服务对象接口
 */
public interface UserRoleDatasService extends IService<UserRoleDatas>{

	boolean getDraft(UserRoleDatas et);
	boolean checkKey(UserRoleDatas et);
	boolean update(UserRoleDatas et);
	boolean remove(UserRoleDatas et);
	boolean create(UserRoleDatas et);
		UserRoleDatas get(UserRoleDatas et);
    List<UserRoleDatas> listDefault(UserRoleDatasSearchFilter filter) ;
	Page<UserRoleDatas> searchDefault(UserRoleDatasSearchFilter filter);
	/**	 实体[UserRoleDatas] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }